KEDUCA-SHRINKER(1)

NAME
keduca-shrinker - extract a random sample from a large KEduca test file

SYNOPSIS
keduca-shrinker [ -o, --output=file ] [ -n, --number=number ] -i, --input=file

DESCRIPTION
keduca-shrinker is a small program that reads a large KEduca test file (.edu) and extracts a random sample of questions to create a new smaller test file. For example, it could take a 100 question test file as input and then output a test file with 20 questions selected at random.

Note that the input file must be uncompressed. When you save the original test in the KEduca Editor, you should explicitly clear the "Compress the file" checkbox. Otherwise keduca-shrinker will not be able to read it.

KEduca is a flash-card application for working with interactive form-based tests. It is shipped as part of the official TDE edutainment module.

OPTIONS

-i, --input=file
    The large KEduca test file that should be read as input.

-o, --output=file
    The smaller KEduca test file that should be written as output. This defaults to the input filename with -shrinked appended to its base. For example, if the input file is foo.edu then the default output file is foo-shrinked.edu.

-n, --number=number
    The number of random questions to select from the input file. This defaults to 20.

SEE ALSO
keduca(1), keducabuilder(1).

This tool is not yet part of the official TDE edutainment module. Its upstream site is https://gna.org/projects/keduca-shrinker/.

AUTHOR
keduca-shrinker was written by Mathieu Roy <yeupou@coleumes.org>. It is licensed under the GNU General Public License (see the script itself for details).
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).